Bug 176556 - PCMCIA Setup issues, not fully hotplug yet
PCMCIA Setup issues, not fully hotplug yet
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: pcmciautils (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-26 03:11 EST by Kevin Verma
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 06:07:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sirrra Wireless Dial Up Control Script (641 bytes, application/octet-stream)
2006-04-08 06:19 EDT, Kevin Verma
no flags Details

  None (edit)
Description Kevin Verma 2005-12-26 03:11:54 EST
Description of problem:
I have been trying to setup a Sierra Wireless Aircard 555, CDMA modem under FC5
and the following is the entire detail of problems I faced, I am expecting your
follow up for enhancement to the whole procedure and also the device support. 

Below is posted here as on the fedora-devel list:

I was trying to setup my Sierra Wireless Aircard
555 under FC5 test1 and hit the obvious bumps. Below is a URL
where I have documented some of my understanding for the newer
systems as it works:
http://www.bloglines.com/blog/kevinverma?id=39

Below a URL where Rahul S. has added to the Fedora Release notes
overview:
http://fedoraproject.org/wiki/Docs/Beats/OverView

After patching (as on blog_url above) the serial_cs.c, I noticed
that this PCMCIA device reports different manufacture_id on FC4
and FC5, further I noticed the same is happening on FC5 box
before and after manual firmware loading as below in command
line snippet.

Before you look into the snippet below I will also like to point
out that confused about different manufacture_id reporting I
re-patched the serial_cs.c and below is what is being used for
the snippet bellow, here:
+PCMCIA_DEVICE_CIS_MANF_CARD(0x013f, 0xa555,
"SW_555_SER.cis"), /* Sierra Aircard 555 CDMA 1xrtt Modem */

---snip from FC5 test1 start---
[root@server1 ~]# pccardctl eject
[root@server1 ~]# pccardctl insert
[root@server1 ~]# pccardctl info
PRODID_1="Sierra Wireless"
PRODID_2="AirCard 555"
PRODID_3="A555"
PRODID_4="Rev 1"
MANFID=0192,a555
FUNCID=6
[root@server1 ~]# wvdialconf foo.conf
Scanning your serial ports for a modem.

ttyS0<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 9600
baud
ttyS0<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 115200
baud
ttyS0<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up.
Port Scan<*1>: S1   S2   S3   S4   S5   S6   S7   S8
Port Scan<*1>: S9   S10  S11  S12  S13  S14  S15  S16
Port Scan<*1>: S17  S18  S19  S20  S21  S22  S23  S24
Port Scan<*1>: S25  S26  S27  S28  S29  S30  S31


Sorry, no modem was detected!  Is it in use by another program?
Did you configure it properly with setserial?

Please read the FAQ at http://open.nit.ca/wvdial/

If you still have problems, send mail to
wvdial-list@lists.nit.ca.
[root@server1 ~]# pcmcia-socket-startup
[root@server1 ~]# wvdialconf foo.conf
Scanning your serial ports for a modem.

ttyS0<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 9600
baud
ttyS0<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 115200
baud
ttyS0<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up.
Port Scan<*1>: S1   S2   S3   S4   S5   S6   S7   S8
Port Scan<*1>: S9   S10  S11  S12  S13  S14  S15  S16
Port Scan<*1>: S17  S18  S19  S20  S21  S22  S23  S24
Port Scan<*1>: S25  S26  S27  S28  S29  S30  S31


Sorry, no modem was detected!  Is it in use by another program?
Did you configure it properly with setserial?

Please read the FAQ at http://open.nit.ca/wvdial/

If you still have problems, send mail to
wvdial-list@lists.nit.ca.
[root@server1 ~]# cat /lib/firmware/SW_555_SER.cis
> /sys/class/pcmcia_socket/pcmcia_socket0/cis
[root@server1 ~]# pcmcia-socket-startup
[root@server1 ~]# wvdialconf foo.conf
Scanning your serial ports for a modem.

ttyS0<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 9600
baud
ttyS0<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 115200
baud
ttyS0<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up.
ttyS1<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 9600
baud
ttyS1<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 115200
baud
ttyS1<*1>: ATQ0 V1 E1 -- OK
ttyS1<*1>: ATQ0 V1 E1 Z -- OK
ttyS1<*1>: ATQ0 V1 E1 S0=0 -- OK
ttyS1<*1>: ATQ0 V1 E1 S0=0 &C1 -- OK
ttyS1<*1>: ATQ0 V1 E1 S0=0 &C1 &D2 -- OK
ttyS1<*1>: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0 -- OK
ttyS1<*1>: Modem Identifier: ATI -- ERROR
ttyS1<*1>: Max speed is 115200; that should be safe.
ttyS1<*1>: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0 -- OK
Port Scan<*1>: S3   S4   S5   S6   S7   S8   S9   S10
Port Scan<*1>: S11  S12  S13  S14  S15  S16  S17  S18
Port Scan<*1>: S19  S20  S21  S22  S23  S24  S25  S26
Port Scan<*1>: S27  S28  S29  S30  S31

Found a modem on /dev/ttyS1.
Modem configuration written to foo.conf.
ttyS1<Info>: Speed 115200; init "ATQ0 V1 E1 S0=0 &C1 &D2
+FCLASS=0"
[root@server1 ~]# less wvdial.conf
[root@server1 ~]# vim wvdial.conf
[root@server1 ~]# pccardctl info
PRODID_1="Sierra Wireless"
PRODID_2="AirCard 555"
PRODID_3="A555"
PRODID_4="Rev 1"
MANFID=013f,0710
FUNCID=2
[root@server1 ~]#
---snip FC5 test1 end---

the virsions if you want to know are:
2.6.14-prep (kernel-2.6.14-1.1783_FC5 - src)
pcmciautils-011-1
hotplug-2004_09_23-10

So finally this modem seems ready on expected ttyS1 and ready for
connection to be established, I'll also like to have any
suggestions how this can be more fine tuned automatic further,
and some help for understating the manufacture_id issue.
Comment 1 Harald Hoyer 2006-02-02 10:07:37 EST
Does it work with current udev?
Comment 2 Kevin Verma 2006-04-08 06:19:23 EDT
Created attachment 127503 [details]
Sirrra Wireless Dial Up Control Script
Comment 3 Kevin Verma 2006-04-08 06:55:01 EDT
Oh that is a very late follow up from my part, I am sorry, I must try to have
bugzilla mails to my inbox straight. 

Presently on FC5 udev-084-13, pcmciautils-012-0.FC5.2, this did not worked out
of the box still and the above had to be applied. 

Below is the snippet of the script I have been using so this works well, please
do notice that I am discarding Sierra Wireless Aircard 555 shortly so I won't be
able to help much, but with the work arounds it worked for me some how, as below:

---snip---
created an attachment rconnect script
--snip--
Comment 4 Kevin Verma 2006-11-08 13:11:02 EST
This is to report that I do not posses subjected PCMCIA device any more or a
simillar one to test this issue any firther. So this isuse can be closed, no
hardware no issues :) 

Thanks ! 

Note You need to log in before you can comment on or make changes to this bug.